/PROG  IPL_SCHUNK_EGPC_CLOSE
/ATTR
OWNER		= ASCBIN;
COMMENT		= "Gripper Close";
PROG_SIZE	= 953;
CREATE		= DATE 20-09-10  TIME 14:34:16;
MODIFIED	= DATE 20-09-10  TIME 14:34:16;
FILE_NAME	= ;
VERSION		= 0;
LINE_COUNT	= 36;
MEMORY_SIZE	= 1473;
PROTECT		= READ_WRITE;
TCD:  STACK_SIZE	= 0,
      TASK_PRIORITY	= 50,
      TIME_SLICE	= 0,
      BUSY_LAMP_OFF	= 0,
      ABORT_REQUEST	= 0,
      PAUSE_REQUEST	= 0;
DEFAULT_GROUP	= 1,*,*,*,*;
CONTROL_CODE	= 00000000 00000000;
LOCAL_REGISTERS	= 3,0,0;
/APPL
/APPL
/MN
   1:  !local register ;
   2:  !R[10001-10003] are usable ;
   3:  !---------- ;
   4:  !Copy from Karel var to local reg ;
   5:  R[10001]=$[IPL_SCHUNK_EGPC_CFG]conn_type ;
   6:  R[10002]=$[IPL_SCHUNK_EGPC_CFG]do_open ;
   7:  R[10003]=$[IPL_SCHUNK_EGPC_CFG]do_close ;
   8:   ;
   9:  IF R[10001]=1,JMP LBL[100] ;
  10:   ;
  11:  !Wrist connection - use RO ;
  12:  !Turn off open and turn on close ;
  13:  RO[1:Open Gripper]=OFF ;
  14:  WAIT    .02(sec) ;
  15:  RO[2:Close Gripper]=ON ;
  16:  JMP LBL[200] ;
  17:   ;
  18:  !Controller connection - use DO ;
  19:  !Turn off open and turn on close ;
  20:  LBL[100] ;
  21:  DO[R[10002]]=OFF ;
  22:  WAIT    .02(sec) ;
  23:  DO[R[10003]]=ON ;
  24:   ;
  25:  !Change payload if AR[1]=1 ;
  26:  LBL[200] ;
  27:  IF AR[1]=0,JMP LBL[300] ;
  28:  R[10001]=AR[2]    ;
  29:  PAYLOAD[R[10001]] ;
  30:   ;
  31:  !Delay if AR[3]=1 ;
  32:  LBL[300] ;
  33:  IF AR[3]=0,JMP LBL[999] ;
  34:  WAIT AR[4] ;
  35:   ;
  36:  LBL[999] ;
/POS
/END
